com.amazonaws.services.codebuild.model

## Class ProjectEnvironment

- java.lang.Object
- - com.amazonaws.services.codebuild.model.ProjectEnvironment

All Implemented Interfaces:
  Serializable, Cloneable

    public class ProjectEnvironment
    extends Object
    implements Serializable, Cloneable

Information about the build project's build environment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProjectEnvironment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ProjectEnvironment` `clone()`
`boolean` `equals(Object obj)`
`String` `getComputeType()` Information about the compute resources the build project will use.
`List<EnvironmentVariable>` `getEnvironmentVariables()` A set of environment variables to make available to builds for this build project.
`String` `getImage()` The ID of the Docker image to use for this build project.
`String` `getType()` The type of build environment to use for related builds.
`int` `hashCode()`
`void` `setComputeType(ComputeType computeType)` Information about the compute resources the build project will use.
`void` `setComputeType(String computeType)` Information about the compute resources the build project will use.
`void` `setEnvironmentVariables(Collection<EnvironmentVariable> environmentVariables)` A set of environment variables to make available to builds for this build project.
`void` `setImage(String image)` The ID of the Docker image to use for this build project.
`void` `setType(EnvironmentType type)` The type of build environment to use for related builds.
`void` `setType(String type)` The type of build environment to use for related builds.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ProjectEnvironment` `withComputeType(ComputeType computeType)` Information about the compute resources the build project will use.
`ProjectEnvironment` `withComputeType(String computeType)` Information about the compute resources the build project will use.
`ProjectEnvironment` `withEnvironmentVariables(Collection<EnvironmentVariable> environmentVariables)` A set of environment variables to make available to builds for this build project.
`ProjectEnvironment` `withEnvironmentVariables(EnvironmentVariable... environmentVariables)` A set of environment variables to make available to builds for this build project.
`ProjectEnvironment` `withImage(String image)` The ID of the Docker image to use for this build project.
`ProjectEnvironment` `withType(EnvironmentType type)` The type of build environment to use for related builds.
`ProjectEnvironment` `withType(String type)` The type of build environment to use for related builds.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProjectEnvironment

    public ProjectEnvironment()

### Method Detail

#### setType

    public void setType(String type)

The type of build environment to use for related builds.

The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

Parameters:
  `type` - The type of build environment to use for related builds.

  The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

See Also:
  `EnvironmentType`

#### getType

    public String getType()

The type of build environment to use for related builds.

The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

Returns:
  The type of build environment to use for related builds.

  The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

See Also:
  `EnvironmentType`

#### withType

    public ProjectEnvironment withType(String type)

The type of build environment to use for related builds.

The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

Parameters:
  `type` - The type of build environment to use for related builds.

  The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EnvironmentType`

#### setType

    public void setType(EnvironmentType type)

The type of build environment to use for related builds.

The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

Parameters:
  `type` - The type of build environment to use for related builds.

  The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

See Also:
  `EnvironmentType`

#### withType

    public ProjectEnvironment withType(EnvironmentType type)

The type of build environment to use for related builds.

The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

Parameters:
  `type` - The type of build environment to use for related builds.

  The only valid value is `LINUX_CONTAINER`, which represents a Linux-based build environment.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EnvironmentType`

#### setImage

    public void setImage(String image)

The ID of the Docker image to use for this build project.

Parameters:
  `image` - The ID of the Docker image to use for this build project.

#### getImage

    public String getImage()

The ID of the Docker image to use for this build project.

Returns:
  The ID of the Docker image to use for this build project.

#### withImage

    public ProjectEnvironment withImage(String image)

The ID of the Docker image to use for this build project.

Parameters:
  `image` - The ID of the Docker image to use for this build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeType

    public void setComputeType(String computeType)

Information about the compute resources the build project will use. Available values include:

- `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

- `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

- `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

Parameters:
  `computeType` - Information about the compute resources the build project will use. Available values include:

  - `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

  - `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

  - `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

See Also:
  `ComputeType`

#### getComputeType

    public String getComputeType()

Information about the compute resources the build project will use. Available values include:

- `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

- `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

- `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

Returns:
  Information about the compute resources the build project will use. Available values include:

  - `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

  - `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

  - `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

See Also:
  `ComputeType`

#### withComputeType

    public ProjectEnvironment withComputeType(String computeType)

Information about the compute resources the build project will use. Available values include:

- `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

- `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

- `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

Parameters:
  `computeType` - Information about the compute resources the build project will use. Available values include:

  - `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

  - `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

  - `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ComputeType`

#### setComputeType

    public void setComputeType(ComputeType computeType)

Information about the compute resources the build project will use. Available values include:

- `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

- `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

- `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

Parameters:
  `computeType` - Information about the compute resources the build project will use. Available values include:

  - `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

  - `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

  - `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

See Also:
  `ComputeType`

#### withComputeType

    public ProjectEnvironment withComputeType(ComputeType computeType)

Information about the compute resources the build project will use. Available values include:

- `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

- `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

- `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

Parameters:
  `computeType` - Information about the compute resources the build project will use. Available values include:

  - `BUILD_GENERAL1_SMALL`: Use up to 3 GB memory and 2 vCPUs for builds.

  - `BUILD_GENERAL1_MEDIUM`: Use up to 7 GB memory and 4 vCPUs for builds.

  - `BUILD_GENERAL1_LARGE`: Use up to 15 GB memory and 8 vCPUs for builds.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ComputeType`

#### getEnvironmentVariables

    public List<EnvironmentVariable> getEnvironmentVariables()

A set of environment variables to make available to builds for this build project.

Returns:
  A set of environment variables to make available to builds for this build project.

#### setEnvironmentVariables

    public void setEnvironmentVariables(Collection<EnvironmentVariable> environmentVariables)

A set of environment variables to make available to builds for this build project.

Parameters:
  `environmentVariables` - A set of environment variables to make available to builds for this build project.

#### withEnvironmentVariables

    public ProjectEnvironment withEnvironmentVariables(EnvironmentVariable... environmentVariables)

A set of environment variables to make available to builds for this build project.

NOTE: This method appends the values to the existing list (if any). Use `setEnvironmentVariables(java.util.Collection)` or `withEnvironmentVariables(java.util.Collection)` if you want to override the existing values.

Parameters:
  `environmentVariables` - A set of environment variables to make available to builds for this build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withEnvironmentVariables

    public ProjectEnvironment withEnvironmentVariables(Collection<EnvironmentVariable> environmentVariables)

A set of environment variables to make available to builds for this build project.

Parameters:
  `environmentVariables` - A set of environment variables to make available to builds for this build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ProjectEnvironment clone()

Overrides:
  `clone` in class `Object`